"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Link = void 0;
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _designparams = require("../designparams");
var _jsxRuntime = require("react/jsx-runtime");
var _excluded = ["children"];
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
var LinkNative = _styledComponents.default.a.withConfig({
  displayName: "Link__LinkNative",
  componentId: "sc-kbc77n-0"
})(["padding:0;border-color:transparent;cursor:pointer;height:auto;font-weight:600;text-decoration:none;color:", ";&:hover{color:", ";}&:focus{outline:none;}&:active{color:", ";}"], _ref => {
  var {
    theme
  } = _ref;
  return theme.color.textLink();
}, _ref2 => {
  var {
    theme
  } = _ref2;
  return theme.color.textLinkHover();
}, _ref3 => {
  var {
    theme
  } = _ref3;
  return theme.color.textLinkHover();
});
var LinkButton = _styledComponents.default.button.withConfig({
  displayName: "Link__LinkButton",
  componentId: "sc-kbc77n-1"
})(["padding:0;border:none;background-color:transparent;cursor:pointer;height:auto;font-size:inherit;font-weight:600;color:", ";&:hover{color:", ";}&:focus{outline:none;}&:active{color:", ";}", ""], _ref4 => {
  var {
    theme
  } = _ref4;
  return theme.color.textLink();
}, _ref5 => {
  var {
    theme
  } = _ref5;
  return theme.color.textLinkHover();
}, _ref6 => {
  var {
    theme
  } = _ref6;
  return theme.color.textLinkHover();
}, _ref7 => {
  var {
    disabled
  } = _ref7;
  return disabled === true ? (0, _styledComponents.css)(["opacity:", ";pointer-events:none;"], _designparams.opacity[48]) : undefined;
});
var Link = _ref8 => {
  var {
      children
    } = _ref8,
    props = _objectWithoutProperties(_ref8, _excluded);
  if (props.variant === 'a') {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(LinkNative, _objectSpread(_objectSpread({}, props), {}, {
      children: children
    }));
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(LinkButton, _objectSpread(_objectSpread({}, props), {}, {
    type: "button",
    children: children
  }));
};
exports.Link = Link;