"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TableDivider = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _designparams = require("../designparams");
var _Table = require("./Table");
var _TableCells = require("./TableCells");
var _jsxRuntime = require("react/jsx-runtime");
var _excluded = ["children"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
/**
 * Table divider
 */

var TableDividerGrid = _styledComponents.default.div.withConfig({
  displayName: "TableDivider__TableDividerGrid",
  componentId: "sc-1tkn9op-0"
})(["display:grid;grid-template-rows:", ";background-color:", ";border-top:1px solid ", ";border-bottom:1px solid ", ";color:", ";"], _designparams.componentSize.medium, _ref => {
  var {
    theme
  } = _ref;
  return theme.color.background00();
}, _ref2 => {
  var {
    theme
  } = _ref2;
  return theme.color.element12();
}, _ref3 => {
  var {
    theme
  } = _ref3;
  return theme.color.element12();
}, _ref4 => {
  var {
    theme
  } = _ref4;
  return theme.color.text02();
});
var TableDividerCell = (0, _styledComponents.default)(_TableCells.TableCell).withConfig({
  displayName: "TableDivider__TableDividerCell",
  componentId: "sc-1tkn9op-1"
})(["grid-column-start:start;grid-column-end:scroll;"]);
var TableDivider = _ref5 => {
  var {
      children
    } = _ref5,
    props = _objectWithoutProperties(_ref5, _excluded);
  var {
    gridTemplateColumns
  } = (0, _Table.useGridTemplateColumns)();
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(TableDividerGrid, _objectSpread(_objectSpread({
    style: {
      gridTemplateColumns
    }
  }, props), {}, {
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(TableDividerCell, {
      children: children
    })
  }));
};
exports.TableDivider = TableDivider;